<script>
import EDITLINKMOADL from "@/components/modal/video/MV-link";
export default {
    props: {
        path: {
            type: String,
            default: "edit",
        },
        item: {
            type: [Array, Object],
            default: () => [],
        },
    },
    data() {
        return {
            playsinline: false,
            playerOptions: {
                fluid: true,
                techOrder: ["youtube"],
                controls: true,
                sources: [{
                    type: "video/youtube",
                    src: this.item.content.url,
                }, ],
                poster: "",
            },
        };
    },
    watch: {
        "item.content.url": function (n, o) {
            this.playerOptions.sources[0].src = n;
        },
    },
    render(h) {
        let res = h(
            "div", {
                attrs: {
                    id: "vedio",
                },
                style: {
                    height: "auto",
                },
            },
            [
                h("div", {
                    class: ["video-player-box", "vjs-default-skin"],
                    props: {
                        playsinline: this.playsinline,
                    },
                    directives: [{
                        name: "video-player",
                        arg: "myVideoPlayer",
                        value: this.playerOptions,
                    }, ],
                }),
                h(EDITLINKMOADL, {
                    props: {
                        mode: "gallery",
                        index: this.item.id,
                        default_url: this.item.content.url,
                    },
                }),
            ]
        );

        return res;
    },
    components: {
        EDITLINKMOADL,
    },
    methods: {
        pause() {
            this.myVideoPlayer.pause();
            this.myVideoPlayer.load();
        },
    },
    mounted() {},
};
</script>

<style lang="scss">
#vedio {
    .yt {
        width: 100%;
        height: 509px;
    }

    .vjs-big-play-button {
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
    }
}
</style>
